
// this is in plan for more restrictive conditions

#define CONDFIELD_NO_OPERATOR       0
#define CONDFIELD_EQ_VALUE          1
#define CONDFIELD_LIKE_VALUE        2
#define CONDFIELD_NOT_LIKE_VALUE    3

#if USE_LINUX || USE_SOLARIS
#define  UlongToPtr(ul)   ((void *)(unsigned long)ul)
#define  PtrToUlong(ptr)  ((unsigned long)ptr)
#endif

// #define etc/

class CCondField
{
public:
  CField *FitField;
  int     message_t;
  char   *eq_value;
  int     eq_len;
  int     eq_op;
  CCondField *next;
  CCondField (CField *ff, int mt, const char *co, const char * eqv, int eql);
  ~CCondField ();
};


class CFitFields
{
#define MAX_R_STACK 200
public:
  CCondField *first;
  CCondField *last;
  int   r_stack_pos;
  int   result_stack[MAX_R_STACK];
  void  Add (CField *ff, int mt, const char *co, const char *eqv, int eql);
  int   FitConditions (int message_t, CMessage *CMessage_Ptr);
  int   GetPos (int back_num);
  int   BackPos (void);
  int   NextPos (void);
  void  EraseAll (void);
  CFitFields ();
  ~CFitFields ();
};

void  COMMON_Change_Format_Date  (char *input_date, char *output_date);
void  COMMON_Change_Format_Hour  (char *input_hour, char *output_hour);
void  COMMON_Table_Delete        (char *file_name);
char *COMMON_Get_IP_LocalHost    (void);


